This connector is optimized for AI agents. For the data replication connector, see Pylon .
This is the full reference documentation for the Pylon agent connector.
Supported entities and actions
The Pylon connector supports the following entities and actions.
Entity Actions Issues List , Create , Get , Update , Delete , Context Store Search Issue Replies Create Issue Assignments Update Issue Statuses Update Messages List , Context Store Search Issue Notes Create Issue Threads Create Accounts List , Create , Get , Update , Context Store Search Contacts List , Create , Get , Update , Context Store Search Teams List , Create , Get , Update , Context Store Search Tags List , Create , Get , Update , Context Store Search Users List , Get , Context Store Search Custom Fields List , Get , Context Store Search Ticket Forms List , Context Store Search User Roles List , Context Store Search Tasks Create , Update Projects Create , Update Milestones Create , Update Articles Create , Update Collections Create Me Get
Issues
Issues List
Get a list of issues within a time range
Python SDK
await pylon . issues . list ( start_time = "2025-01-01T00:00:00Z" , end_time = "2025-01-01T00:00:00Z" )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "issues", "action": "list", "params": { "start_time": "2025-01-01T00:00:00Z", "end_time": "2025-01-01T00:00:00Z" } }'
Parameters
Parameter Name Type Required Description start_timestringYes The start time (RFC3339) of the time range to get issues for. end_timestringYes The end time (RFC3339) of the time range to get issues for. cursorstringNo Cursor for pagination
Response Schema Records Field Name Type Description idstringaccountobject | anyassigneeobject | anyattachment_urlsarray | nullauthor_unverifiedboolean | nullbody_htmlstring | nullbusiness_hours_first_response_secondsinteger | nullbusiness_hours_resolution_secondsinteger | nullbusiness_hours_time_in_status_secondsobject | nullchat_widget_infoobject | anycreated_atstring | nullcsat_responsesarray | nullcsat_responses[].commentstring | nullcsat_responses[].scoreinteger | nullcustom_fieldsobject | nullcustomer_portal_visibleboolean | nullexternal_issuesarray | nullexternal_issues[].external_idstring | nullexternal_issues[].linkstring | nullexternal_issues[].sourcestring | nullfirst_response_secondsinteger | nullfirst_response_timestring | nulllatest_message_timestring | nulllinkstring | nullnumberinteger | nullnumber_of_touchesinteger | nullrequesterobject | anyresolution_secondsinteger | nullresolution_timestring | nullslackobject | anysnoozed_until_timestring | nullsource"slack" | "microsoft_teams" | "microsoft_teams_chat" | "chat_widget" | "email" | "manual" | "form" | "discord" | "whatsapp" | "sms" | "telegram" | anystatestring | nulltagsarray | nullteamobject | anytitlestring | nulltime_in_status_secondsobject | nulltype"conversation" | "ticket" | anyupdated_atstring | null
Field Name Type Description next_cursorstring | nullhas_next_pageboolean
Issues Create
Create a new issue
Python SDK
await pylon . issues . create ( title = "<str>" , body_html = "<str>" , priority = "<str>" , requester_email = "<str>" , requester_name = "<str>" , account_id = "<str>" , assignee_id = "<str>" , team_id = "<str>" , tags = [ ] )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "issues", "action": "create", "params": { "title": "<str>", "body_html": "<str>", "priority": "<str>", "requester_email": "<str>", "requester_name": "<str>", "account_id": "<str>", "assignee_id": "<str>", "team_id": "<str>", "tags": [] } }'
Parameters
Parameter Name Type Required Description titlestringYes The title of the issue body_htmlstringYes The HTML content of the body of the issue prioritystringNo The priority of the issue (urgent, high, medium, low) requester_emailstringNo The email of the requester requester_namestringNo The full name of the requester account_idstringNo The account that this issue belongs to assignee_idstringNo The user the issue should be assigned to team_idstringNo The ID of the team this issue should be assigned to tagsarray<string>No Tags to associate with the issue
Response Schema Records Field Name Type Description dataobjectdata.idstringdata.accountobject | anydata.assigneeobject | anydata.attachment_urlsarray | nulldata.author_unverifiedboolean | nulldata.body_htmlstring | nulldata.business_hours_first_response_secondsinteger | nulldata.business_hours_resolution_secondsinteger | nulldata.business_hours_time_in_status_secondsobject | nulldata.chat_widget_infoobject | anydata.created_atstring | nulldata.csat_responsesarray | nulldata.csat_responses[].commentstring | nulldata.csat_responses[].scoreinteger | nulldata.custom_fieldsobject | nulldata.customer_portal_visibleboolean | nulldata.external_issuesarray | nulldata.external_issues[].external_idstring | nulldata.external_issues[].linkstring | nulldata.external_issues[].sourcestring | nulldata.first_response_secondsinteger | nulldata.first_response_timestring | nulldata.latest_message_timestring | nulldata.linkstring | nulldata.numberinteger | nulldata.number_of_touchesinteger | nulldata.requesterobject | anydata.resolution_secondsinteger | nulldata.resolution_timestring | nulldata.slackobject | anydata.snoozed_until_timestring | nulldata.source"slack" | "microsoft_teams" | "microsoft_teams_chat" | "chat_widget" | "email" | "manual" | "form" | "discord" | "whatsapp" | "sms" | "telegram" | anydata.statestring | nulldata.tagsarray | nulldata.teamobject | anydata.titlestring | nulldata.time_in_status_secondsobject | nulldata.type"conversation" | "ticket" | anydata.updated_atstring | nullrequest_idstring
Issues Get
Get a single issue by ID
Python SDK
await pylon . issues . get ( id = "<str>" )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "issues", "action": "get", "params": { "id": "<str>" } }'
Parameters
Parameter Name Type Required Description idstringYes The ID of the issue
Response Schema Records Field Name Type Description idstringaccountobject | anyassigneeobject | anyattachment_urlsarray | nullauthor_unverifiedboolean | nullbody_htmlstring | nullbusiness_hours_first_response_secondsinteger | nullbusiness_hours_resolution_secondsinteger | nullbusiness_hours_time_in_status_secondsobject | nullchat_widget_infoobject | anycreated_atstring | nullcsat_responsesarray | nullcsat_responses[].commentstring | nullcsat_responses[].scoreinteger | nullcustom_fieldsobject | nullcustomer_portal_visibleboolean | nullexternal_issuesarray | nullexternal_issues[].external_idstring | nullexternal_issues[].linkstring | nullexternal_issues[].sourcestring | nullfirst_response_secondsinteger | nullfirst_response_timestring | nulllatest_message_timestring | nulllinkstring | nullnumberinteger | nullnumber_of_touchesinteger | nullrequesterobject | anyresolution_secondsinteger | nullresolution_timestring | nullslackobject | anysnoozed_until_timestring | nullsource"slack" | "microsoft_teams" | "microsoft_teams_chat" | "chat_widget" | "email" | "manual" | "form" | "discord" | "whatsapp" | "sms" | "telegram" | anystatestring | nulltagsarray | nullteamobject | anytitlestring | nulltime_in_status_secondsobject | nulltype"conversation" | "ticket" | anyupdated_atstring | null
Issues Update
Update an existing issue by ID
Python SDK
await pylon . issues . update ( state = "<str>" , assignee_id = "<str>" , team_id = "<str>" , account_id = "<str>" , tags = [ ] , id = "<str>" )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "issues", "action": "update", "params": { "state": "<str>", "assignee_id": "<str>", "team_id": "<str>", "account_id": "<str>", "tags": [], "id": "<str>" } }'
Parameters
Parameter Name Type Required Description statestringNo The state of the issue (open, snoozed, closed) assignee_idstringNo The user the issue should be assigned to team_idstringNo The ID of the team this issue should be assigned to account_idstringNo The account that this issue belongs to tagsarray<string>No Tags to associate with the issue idstringYes The ID of the issue to update
Response Schema Records Field Name Type Description dataobjectdata.idstringdata.accountobject | anydata.assigneeobject | anydata.attachment_urlsarray | nulldata.author_unverifiedboolean | nulldata.body_htmlstring | nulldata.business_hours_first_response_secondsinteger | nulldata.business_hours_resolution_secondsinteger | nulldata.business_hours_time_in_status_secondsobject | nulldata.chat_widget_infoobject | anydata.created_atstring | nulldata.csat_responsesarray | nulldata.csat_responses[].commentstring | nulldata.csat_responses[].scoreinteger | nulldata.custom_fieldsobject | nulldata.customer_portal_visibleboolean | nulldata.external_issuesarray | nulldata.external_issues[].external_idstring | nulldata.external_issues[].linkstring | nulldata.external_issues[].sourcestring | nulldata.first_response_secondsinteger | nulldata.first_response_timestring | nulldata.latest_message_timestring | nulldata.linkstring | nulldata.numberinteger | nulldata.number_of_touchesinteger | nulldata.requesterobject | anydata.resolution_secondsinteger | nulldata.resolution_timestring | nulldata.slackobject | anydata.snoozed_until_timestring | nulldata.source"slack" | "microsoft_teams" | "microsoft_teams_chat" | "chat_widget" | "email" | "manual" | "form" | "discord" | "whatsapp" | "sms" | "telegram" | anydata.statestring | nulldata.tagsarray | nulldata.teamobject | anydata.titlestring | nulldata.time_in_status_secondsobject | nulldata.type"conversation" | "ticket" | anydata.updated_atstring | nullrequest_idstring
Issues Delete
Permanently deletes an issue by ID. This action cannot be undone.
Python SDK
await pylon . issues . delete ( id = "<str>" )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "issues", "action": "delete", "params": { "id": "<str>" } }'
Parameters
Parameter Name Type Required Description idstringYes The ID of the issue to delete
Response Schema Records Field Name Type Description request_idstring
Issues Context Store Search
Search and filter issues records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.
Python SDK
await pylon . issues . context_store_search ( query = { "filter" : { "eq" : { "id" : "<str>" } } } )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "issues", "action": "context_store_search", "params": { "query": {"filter": {"eq": {"id": "<str>"}}} } }'
Parameters
Parameter Name Type Required Description queryobjectYes Filter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, like, fuzzy, keyword, not, and, or query.filterobjectNo Filter conditions query.sortarrayNo Sort conditions limitintegerNo Maximum results to return (default 1000) cursorstringNo Pagination cursor from previous response's meta.cursor fieldsarrayNo Field paths to include in results
Searchable Fields
Field Name Type Description idstringUnique identifier for the issue titlestringTitle of the issue statestringCurrent state of the issue (e.g. new, in_progress, closed) sourcestringChannel the issue originated from (e.g. email, slack) typestringType classification of the issue numberintegerHuman-readable issue number within the workspace created_atstringTimestamp when the issue was created, in ISO 8601 format latest_message_timestringTimestamp of the most recent message on the issue, in ISO 8601 format resolution_timestringTimestamp when the issue was resolved, in ISO 8601 format snoozed_until_timestringTimestamp the issue is snoozed until, in ISO 8601 format customer_portal_visiblebooleanWhether the issue is visible in the customer portal
Response Schema Field Name Type Description dataarrayList of matching records metaobjectPagination metadata meta.has_morebooleanWhether additional pages are available meta.cursorstring | nullCursor for next page of results meta.took_msnumber | nullQuery execution time in milliseconds data[].idstringUnique identifier for the issue data[].titlestringTitle of the issue data[].statestringCurrent state of the issue (e.g. new, in_progress, closed) data[].sourcestringChannel the issue originated from (e.g. email, slack) data[].typestringType classification of the issue data[].numberintegerHuman-readable issue number within the workspace data[].created_atstringTimestamp when the issue was created, in ISO 8601 format data[].latest_message_timestringTimestamp of the most recent message on the issue, in ISO 8601 format data[].resolution_timestringTimestamp when the issue was resolved, in ISO 8601 format data[].snoozed_until_timestringTimestamp the issue is snoozed until, in ISO 8601 format data[].customer_portal_visiblebooleanWhether the issue is visible in the customer portal
Issue Replies
Issue Replies Create
Sends a customer-facing reply on an issue, visible to the requester.
Python SDK
await pylon . issue_replies . create ( body_html = "<str>" , message_id = "<str>" , user_id = "<str>" , contact_id = "<str>" , attachment_urls = [ ] , id = "<str>" )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "issue_replies", "action": "create", "params": { "body_html": "<str>", "message_id": "<str>", "user_id": "<str>", "contact_id": "<str>", "attachment_urls": [], "id": "<str>" } }'
Parameters
Parameter Name Type Required Description body_htmlstringYes The body of the reply message in HTML message_idstringYes The ID of the message to reply to user_idstringNo Optional user ID to post the message as. Only one of user_id or contact_id can be provided. contact_idstringNo Optional contact ID to post the message as. Only one of user_id or contact_id can be provided. attachment_urlsarray<string>No An array of attachment URLs to attach to this reply idstringYes The ID of the issue to reply to
Response Schema Records Field Name Type Description dataobjectdata.idstringdata.issue_idstringrequest_idstring
Issue Assignments
Issue Assignments Update
Assign an issue to a user or team, or remove the current assignment.
Python SDK
await pylon . issue_assignments . update ( assignee_id = "<str>" , team_id = "<str>" , id = "<str>" )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "issue_assignments", "action": "update", "params": { "assignee_id": "<str>", "team_id": "<str>", "id": "<str>" } }'
Parameters
Parameter Name Type Required Description assignee_idstringNo The ID of the user to assign the issue to. Pass an empty string to unassign. team_idstringNo The ID of the team to assign the issue to. Pass an empty string to remove team assignment. idstringYes The ID of the issue to assign
Response Schema Records Field Name Type Description dataobjectdata.idstringdata.accountobject | anydata.assigneeobject | anydata.attachment_urlsarray | nulldata.author_unverifiedboolean | nulldata.body_htmlstring | nulldata.business_hours_first_response_secondsinteger | nulldata.business_hours_resolution_secondsinteger | nulldata.business_hours_time_in_status_secondsobject | nulldata.chat_widget_infoobject | anydata.created_atstring | nulldata.csat_responsesarray | nulldata.csat_responses[].commentstring | nulldata.csat_responses[].scoreinteger | nulldata.custom_fieldsobject | nulldata.customer_portal_visibleboolean | nulldata.external_issuesarray | nulldata.external_issues[].external_idstring | nulldata.external_issues[].linkstring | nulldata.external_issues[].sourcestring | nulldata.first_response_secondsinteger | nulldata.first_response_timestring | nulldata.latest_message_timestring | nulldata.linkstring | nulldata.numberinteger | nulldata.number_of_touchesinteger | nulldata.requesterobject | anydata.resolution_secondsinteger | nulldata.resolution_timestring | nulldata.slackobject | anydata.snoozed_until_timestring | nulldata.source"slack" | "microsoft_teams" | "microsoft_teams_chat" | "chat_widget" | "email" | "manual" | "form" | "discord" | "whatsapp" | "sms" | "telegram" | anydata.statestring | nulldata.tagsarray | nulldata.teamobject | anydata.titlestring | nulldata.time_in_status_secondsobject | nulldata.type"conversation" | "ticket" | anydata.updated_atstring | nullrequest_idstring
Issue Statuses
Issue Statuses Update
Transition an issue to a new status (new, waiting_on_you, waiting_on_customer, on_hold, closed, or a custom status slug).
Python SDK
await pylon . issue_statuses . update ( state = "<str>" , id = "<str>" )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "issue_statuses", "action": "update", "params": { "state": "<str>", "id": "<str>" } }'
Parameters
Parameter Name Type Required Description statestringYes The target state for the issue (new, waiting_on_you, waiting_on_customer, on_hold, closed, or a custom status slug) idstringYes The ID of the issue to update status for
Response Schema Records Field Name Type Description dataobjectdata.idstringdata.accountobject | anydata.assigneeobject | anydata.attachment_urlsarray | nulldata.author_unverifiedboolean | nulldata.body_htmlstring | nulldata.business_hours_first_response_secondsinteger | nulldata.business_hours_resolution_secondsinteger | nulldata.business_hours_time_in_status_secondsobject | nulldata.chat_widget_infoobject | anydata.created_atstring | nulldata.csat_responsesarray | nulldata.csat_responses[].commentstring | nulldata.csat_responses[].scoreinteger | nulldata.custom_fieldsobject | nulldata.customer_portal_visibleboolean | nulldata.external_issuesarray | nulldata.external_issues[].external_idstring | nulldata.external_issues[].linkstring | nulldata.external_issues[].sourcestring | nulldata.first_response_secondsinteger | nulldata.first_response_timestring | nulldata.latest_message_timestring | nulldata.linkstring | nulldata.numberinteger | nulldata.number_of_touchesinteger | nulldata.requesterobject | anydata.resolution_secondsinteger | nulldata.resolution_timestring | nulldata.slackobject | anydata.snoozed_until_timestring | nulldata.source"slack" | "microsoft_teams" | "microsoft_teams_chat" | "chat_widget" | "email" | "manual" | "form" | "discord" | "whatsapp" | "sms" | "telegram" | anydata.statestring | nulldata.tagsarray | nulldata.teamobject | anydata.titlestring | nulldata.time_in_status_secondsobject | nulldata.type"conversation" | "ticket" | anydata.updated_atstring | nullrequest_idstring
Messages
Messages List
Returns all messages on an issue (customer-facing replies and internal notes)
Python SDK
await pylon . messages . list ( id = "<str>" )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "messages", "action": "list", "params": { "id": "<str>" } }'
Parameters
Parameter Name Type Required Description idstringYes The ID of the issue to fetch messages for cursorstringNo Cursor for pagination
Response Schema Records Field Name Type Description idstringauthorobject | anyemail_infoobject | anyfile_urlsarray | nullis_privateboolean | nullmessage_htmlstring | nullsourcestring | nullthread_idstring | nulltimestampstring | null
Field Name Type Description next_cursorstring | nullhas_next_pageboolean
Messages Context Store Search
Search and filter messages records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.
Python SDK
await pylon . messages . context_store_search ( query = { "filter" : { "eq" : { "id" : "<str>" } } } )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "messages", "action": "context_store_search", "params": { "query": {"filter": {"eq": {"id": "<str>"}}} } }'
Parameters
Parameter Name Type Required Description queryobjectYes Filter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, like, fuzzy, keyword, not, and, or query.filterobjectNo Filter conditions query.sortarrayNo Sort conditions limitintegerNo Maximum results to return (default 1000) cursorstringNo Pagination cursor from previous response's meta.cursor fieldsarrayNo Field paths to include in results
Searchable Fields
Field Name Type Description idstringUnique identifier for the message timestampstringTimestamp the message was posted, in ISO 8601 format is_privatebooleanWhether the message is an internal note (not visible to the customer) sourcestringChannel the message was sent through (e.g. email, slack) thread_idstringIdentifier of the thread this message belongs to
Response Schema Field Name Type Description dataarrayList of matching records metaobjectPagination metadata meta.has_morebooleanWhether additional pages are available meta.cursorstring | nullCursor for next page of results meta.took_msnumber | nullQuery execution time in milliseconds data[].idstringUnique identifier for the message data[].timestampstringTimestamp the message was posted, in ISO 8601 format data[].is_privatebooleanWhether the message is an internal note (not visible to the customer) data[].sourcestringChannel the message was sent through (e.g. email, slack) data[].thread_idstringIdentifier of the thread this message belongs to
Issue Notes
Issue Notes Create
Create an internal note on an issue
Python SDK
await pylon . issue_notes . create ( body_html = "<str>" , thread_id = "<str>" , message_id = "<str>" , id = "<str>" )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "issue_notes", "action": "create", "params": { "body_html": "<str>", "thread_id": "<str>", "message_id": "<str>", "id": "<str>" } }'
Parameters
Parameter Name Type Required Description body_htmlstringYes The HTML content of the note thread_idstringNo The ID of the thread to add the note to message_idstringNo The ID of the message to add the note to idstringYes The ID of the issue to add a note to
Response Schema Records Field Name Type Description dataobjectdata.idstringdata.body_htmlstring | nulldata.timestampstring | nullrequest_idstring
Issue Threads
Issue Threads Create
Create a new thread on an issue
Python SDK
await pylon . issue_threads . create ( name = "<str>" , id = "<str>" )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "issue_threads", "action": "create", "params": { "name": "<str>", "id": "<str>" } }'
Parameters
Parameter Name Type Required Description namestringNo The name of the thread idstringYes The ID of the issue to create a thread on
Response Schema Records Field Name Type Description dataobjectdata.idstringdata.namestring | nullrequest_idstring
Accounts
Accounts List
Get a list of accounts
Python SDK
await pylon . accounts . list ( )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "accounts", "action": "list" }'
Parameters
Parameter Name Type Required Description cursorstringNo Cursor for pagination
Response Schema Records Field Name Type Description idstringchannelsarray | nullchannels[].channel_idstring | nullchannels[].sourcestring | nullchannels[].is_primaryboolean | nullcreated_atstring | nullcustom_fieldsobject | nulldomainstring | nulldomainsarray | nullexternal_idsobject | nullis_disabledboolean | nulllatest_customer_activity_timestring | nullnamestring | nullownerobject | anyprimary_domainstring | nulltagsarray | nulltypestring | null
Field Name Type Description next_cursorstring | nullhas_next_pageboolean
Accounts Create
Create a new account
Python SDK
await pylon . accounts . create ( name = "<str>" , domains = [ ] , primary_domain = "<str>" , owner_id = "<str>" , logo_url = "<str>" , tags = [ ] )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "accounts", "action": "create", "params": { "name": "<str>", "domains": [], "primary_domain": "<str>", "owner_id": "<str>", "logo_url": "<str>", "tags": [] } }'
Parameters
Parameter Name Type Required Description namestringYes The name of the account domainsarray<string>No The domains of the account (e.g. stripe.com) primary_domainstringNo Must be in the list of domains. If there are any domains, there must be exactly one primary domain. owner_idstringNo The ID of the owner of the account logo_urlstringNo The logo URL of the account. Must be a square .png, .jpg or .jpeg. tagsarray<string>No Tags to associate with the account
Response Schema Records Field Name Type Description dataobjectdata.idstringdata.channelsarray | nulldata.channels[].channel_idstring | nulldata.channels[].sourcestring | nulldata.channels[].is_primaryboolean | nulldata.created_atstring | nulldata.custom_fieldsobject | nulldata.domainstring | nulldata.domainsarray | nulldata.external_idsobject | nulldata.is_disabledboolean | nulldata.latest_customer_activity_timestring | nulldata.namestring | nulldata.ownerobject | anydata.primary_domainstring | nulldata.tagsarray | nulldata.typestring | nullrequest_idstring
Accounts Get
Get a single account by ID
Python SDK
await pylon . accounts . get ( id = "<str>" )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "accounts", "action": "get", "params": { "id": "<str>" } }'
Parameters
Parameter Name Type Required Description idstringYes The ID of the account
Response Schema Records Field Name Type Description idstringchannelsarray | nullchannels[].channel_idstring | nullchannels[].sourcestring | nullchannels[].is_primaryboolean | nullcreated_atstring | nullcustom_fieldsobject | nulldomainstring | nulldomainsarray | nullexternal_idsobject | nullis_disabledboolean | nulllatest_customer_activity_timestring | nullnamestring | nullownerobject | anyprimary_domainstring | nulltagsarray | nulltypestring | null
Accounts Update
Update an existing account by ID
Python SDK
await pylon . accounts . update ( name = "<str>" , domains = [ ] , primary_domain = "<str>" , owner_id = "<str>" , logo_url = "<str>" , is_disabled = True , tags = [ ] , id = "<str>" )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "accounts", "action": "update", "params": { "name": "<str>", "domains": [], "primary_domain": "<str>", "owner_id": "<str>", "logo_url": "<str>", "is_disabled": True, "tags": [], "id": "<str>" } }'
Parameters
Parameter Name Type Required Description namestringNo The name of the account domainsarray<string>No Domains of the account. Must specify one domain as primary. primary_domainstringNo Must be in the list of domains. If there are any domains, there must be exactly one primary domain. owner_idstringNo The ID of the owner of the account. If empty string is passed in, the owner will be removed. logo_urlstringNo Logo URL of the account is_disabledbooleanNo Whether the account is disabled tagsarray<string>No Tags to associate with the account idstringYes The ID of the account to update
Response Schema Records Field Name Type Description dataobjectdata.idstringdata.channelsarray | nulldata.channels[].channel_idstring | nulldata.channels[].sourcestring | nulldata.channels[].is_primaryboolean | nulldata.created_atstring | nulldata.custom_fieldsobject | nulldata.domainstring | nulldata.domainsarray | nulldata.external_idsobject | nulldata.is_disabledboolean | nulldata.latest_customer_activity_timestring | nulldata.namestring | nulldata.ownerobject | anydata.primary_domainstring | nulldata.tagsarray | nulldata.typestring | nullrequest_idstring
Accounts Context Store Search
Search and filter accounts records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.
Python SDK
await pylon . accounts . context_store_search ( query = { "filter" : { "eq" : { "id" : "<str>" } } } )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "accounts", "action": "context_store_search", "params": { "query": {"filter": {"eq": {"id": "<str>"}}} } }'
Parameters
Parameter Name Type Required Description queryobjectYes Filter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, like, fuzzy, keyword, not, and, or query.filterobjectNo Filter conditions query.sortarrayNo Sort conditions limitintegerNo Maximum results to return (default 1000) cursorstringNo Pagination cursor from previous response's meta.cursor fieldsarrayNo Field paths to include in results
Searchable Fields
Field Name Type Description idstringUnique identifier for the account namestringName of the account (customer organization) domainstringPrimary domain associated with the account primary_domainstringCanonical primary domain for the account typestringClassification of the account (e.g. customer, prospect) is_disabledbooleanWhether the account has been disabled created_atstringTimestamp when the account was created, in ISO 8601 format latest_customer_activity_timestringTimestamp of the most recent activity from this account, in ISO 8601 format
Response Schema Field Name Type Description dataarrayList of matching records metaobjectPagination metadata meta.has_morebooleanWhether additional pages are available meta.cursorstring | nullCursor for next page of results meta.took_msnumber | nullQuery execution time in milliseconds data[].idstringUnique identifier for the account data[].namestringName of the account (customer organization) data[].domainstringPrimary domain associated with the account data[].primary_domainstringCanonical primary domain for the account data[].typestringClassification of the account (e.g. customer, prospect) data[].is_disabledbooleanWhether the account has been disabled data[].created_atstringTimestamp when the account was created, in ISO 8601 format data[].latest_customer_activity_timestringTimestamp of the most recent activity from this account, in ISO 8601 format
Get a list of contacts
Python SDK
await pylon . contacts . list ( )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "contacts", "action": "list" }'
Parameters
Parameter Name Type Required Description cursorstringNo Cursor for pagination
Response Schema Records Field Name Type Description idstringaccountobject | anyavatar_urlstring | nullcustom_fieldsobject | nullemailstring | nullemailsarray | nullintegration_user_idsarray | nullintegration_user_ids[].idstring | nullintegration_user_ids[].sourcestring | nullnamestring | nullphone_numbersarray | nullportal_rolestring | nullportal_role_idstring | null
Field Name Type Description next_cursorstring | nullhas_next_pageboolean
Create a new contact
Python SDK
await pylon . contacts . create ( name = "<str>" , email = "<str>" , account_id = "<str>" , avatar_url = "<str>" )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "contacts", "action": "create", "params": { "name": "<str>", "email": "<str>", "account_id": "<str>", "avatar_url": "<str>" } }'
Parameters
Parameter Name Type Required Description namestringYes The name of the contact emailstringNo The email address of the contact account_idstringNo The ID of the account to associate this contact with avatar_urlstringNo The URL of the contact's avatar
Response Schema Records Field Name Type Description dataobjectdata.idstringdata.accountobject | anydata.avatar_urlstring | nulldata.custom_fieldsobject | nulldata.emailstring | nulldata.emailsarray | nulldata.integration_user_idsarray | nulldata.integration_user_ids[].idstring | nulldata.integration_user_ids[].sourcestring | nulldata.namestring | nulldata.phone_numbersarray | nulldata.portal_rolestring | nulldata.portal_role_idstring | nullrequest_idstring
Get a single contact by ID
Python SDK
await pylon . contacts . get ( id = "<str>" )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "contacts", "action": "get", "params": { "id": "<str>" } }'
Parameters
Parameter Name Type Required Description idstringYes The ID of the contact
Response Schema Records Field Name Type Description idstringaccountobject | anyavatar_urlstring | nullcustom_fieldsobject | nullemailstring | nullemailsarray | nullintegration_user_idsarray | nullintegration_user_ids[].idstring | nullintegration_user_ids[].sourcestring | nullnamestring | nullphone_numbersarray | nullportal_rolestring | nullportal_role_idstring | null
Update an existing contact by ID
Python SDK
await pylon . contacts . update ( name = "<str>" , email = "<str>" , account_id = "<str>" , id = "<str>" )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "contacts", "action": "update", "params": { "name": "<str>", "email": "<str>", "account_id": "<str>", "id": "<str>" } }'
Parameters
Parameter Name Type Required Description namestringNo The name of the contact emailstringNo The email address of the contact account_idstringNo The ID of the account to associate this contact with idstringYes The ID of the contact to update
Response Schema Records Field Name Type Description dataobjectdata.idstringdata.accountobject | anydata.avatar_urlstring | nulldata.custom_fieldsobject | nulldata.emailstring | nulldata.emailsarray | nulldata.integration_user_idsarray | nulldata.integration_user_ids[].idstring | nulldata.integration_user_ids[].sourcestring | nulldata.namestring | nulldata.phone_numbersarray | nulldata.portal_rolestring | nulldata.portal_role_idstring | nullrequest_idstring
Contacts Context Store Search
Search and filter contacts records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.
Python SDK
await pylon . contacts . context_store_search ( query = { "filter" : { "eq" : { "id" : "<str>" } } } )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "contacts", "action": "context_store_search", "params": { "query": {"filter": {"eq": {"id": "<str>"}}} } }'
Parameters
Parameter Name Type Required Description queryobjectYes Filter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, like, fuzzy, keyword, not, and, or query.filterobjectNo Filter conditions query.sortarrayNo Sort conditions limitintegerNo Maximum results to return (default 1000) cursorstringNo Pagination cursor from previous response's meta.cursor fieldsarrayNo Field paths to include in results
Searchable Fields
Field Name Type Description idstringUnique identifier for the contact namestringFull name of the contact emailstringPrimary email address of the contact primary_phone_numberstringPrimary phone number of the contact portal_rolestringRole the contact has in the customer portal
Response Schema Field Name Type Description dataarrayList of matching records metaobjectPagination metadata meta.has_morebooleanWhether additional pages are available meta.cursorstring | nullCursor for next page of results meta.took_msnumber | nullQuery execution time in milliseconds data[].idstringUnique identifier for the contact data[].namestringFull name of the contact data[].emailstringPrimary email address of the contact data[].primary_phone_numberstringPrimary phone number of the contact data[].portal_rolestringRole the contact has in the customer portal
Teams
Teams List
Get a list of teams
Python SDK
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "teams", "action": "list" }'
Parameters
Parameter Name Type Required Description cursorstringNo Cursor for pagination
Response Schema Records Field Name Type Description idstringnamestring | nullusersarray | nullusers[].emailstring | nullusers[].idstring | null
Field Name Type Description next_cursorstring | nullhas_next_pageboolean
Teams Create
Create a new team
Python SDK
await pylon . teams . create ( name = "<str>" )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "teams", "action": "create", "params": { "name": "<str>" } }'
Parameters
Parameter Name Type Required Description namestringNo The name of the team
Response Schema Records Field Name Type Description dataobjectdata.idstringdata.namestring | nulldata.usersarray | nulldata.users[].emailstring | nulldata.users[].idstring | nullrequest_idstring
Teams Get
Get a single team by ID
Python SDK
await pylon . teams . get ( id = "<str>" )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "teams", "action": "get", "params": { "id": "<str>" } }'
Parameters
Parameter Name Type Required Description idstringYes The ID of the team
Response Schema Records Field Name Type Description idstringnamestring | nullusersarray | nullusers[].emailstring | nullusers[].idstring | null
Teams Update
Update an existing team by ID
Python SDK
await pylon . teams . update ( name = "<str>" , id = "<str>" )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "teams", "action": "update", "params": { "name": "<str>", "id": "<str>" } }'
Parameters
Parameter Name Type Required Description namestringNo The name of the team idstringYes The ID of the team to update
Response Schema Records Field Name Type Description dataobjectdata.idstringdata.namestring | nulldata.usersarray | nulldata.users[].emailstring | nulldata.users[].idstring | nullrequest_idstring
Teams Context Store Search
Search and filter teams records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.
Python SDK
await pylon . teams . context_store_search ( query = { "filter" : { "eq" : { "id" : "<str>" } } } )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "teams", "action": "context_store_search", "params": { "query": {"filter": {"eq": {"id": "<str>"}}} } }'
Parameters
Parameter Name Type Required Description queryobjectYes Filter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, like, fuzzy, keyword, not, and, or query.filterobjectNo Filter conditions query.sortarrayNo Sort conditions limitintegerNo Maximum results to return (default 1000) cursorstringNo Pagination cursor from previous response's meta.cursor fieldsarrayNo Field paths to include in results
Searchable Fields
Field Name Type Description idstringUnique identifier for the team namestringName of the team
Response Schema Field Name Type Description dataarrayList of matching records metaobjectPagination metadata meta.has_morebooleanWhether additional pages are available meta.cursorstring | nullCursor for next page of results meta.took_msnumber | nullQuery execution time in milliseconds data[].idstringUnique identifier for the team data[].namestringName of the team
Get all tags
Python SDK
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "tags", "action": "list" }'
Parameters
Parameter Name Type Required Description cursorstringNo Cursor for pagination
Response Schema Records Field Name Type Description idstringhex_colorstring | nullobject_typestring | nullvaluestring | null
Field Name Type Description next_cursorstring | nullhas_next_pageboolean
Create a new tag
Python SDK
await pylon . tags . create ( value = "<str>" , object_type = "<str>" , hex_color = "<str>" )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "tags", "action": "create", "params": { "value": "<str>", "object_type": "<str>", "hex_color": "<str>" } }'
Parameters
Parameter Name Type Required Description valuestringYes The tag value object_typestringYes The object type (issue, account, contact) hex_colorstringNo The hex color code of the tag
Response Schema Records Field Name Type Description dataobjectdata.idstringdata.hex_colorstring | nulldata.object_typestring | nulldata.valuestring | nullrequest_idstring
Get a tag by its ID
Python SDK
await pylon . tags . get ( id = "<str>" )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "tags", "action": "get", "params": { "id": "<str>" } }'
Parameters
Parameter Name Type Required Description idstringYes The ID of the tag
Response Schema Records Field Name Type Description idstringhex_colorstring | nullobject_typestring | nullvaluestring | null
Update an existing tag by ID
Python SDK
await pylon . tags . update ( value = "<str>" , hex_color = "<str>" , id = "<str>" )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "tags", "action": "update", "params": { "value": "<str>", "hex_color": "<str>", "id": "<str>" } }'
Parameters
Parameter Name Type Required Description valuestringNo The tag value hex_colorstringNo The hex color code of the tag idstringYes The ID of the tag to update
Response Schema Records Field Name Type Description dataobjectdata.idstringdata.hex_colorstring | nulldata.object_typestring | nulldata.valuestring | nullrequest_idstring
Tags Context Store Search
Search and filter tags records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.
Python SDK
await pylon . tags . context_store_search ( query = { "filter" : { "eq" : { "id" : "<str>" } } } )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "tags", "action": "context_store_search", "params": { "query": {"filter": {"eq": {"id": "<str>"}}} } }'
Parameters
Parameter Name Type Required Description queryobjectYes Filter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, like, fuzzy, keyword, not, and, or query.filterobjectNo Filter conditions query.sortarrayNo Sort conditions limitintegerNo Maximum results to return (default 1000) cursorstringNo Pagination cursor from previous response's meta.cursor fieldsarrayNo Field paths to include in results
Searchable Fields
Field Name Type Description idstringUnique identifier for the tag valuestringDisplay value of the tag object_typestringType of object this tag applies to (e.g. issue, account)
Response Schema Field Name Type Description dataarrayList of matching records metaobjectPagination metadata meta.has_morebooleanWhether additional pages are available meta.cursorstring | nullCursor for next page of results meta.took_msnumber | nullQuery execution time in milliseconds data[].idstringUnique identifier for the tag data[].valuestringDisplay value of the tag data[].object_typestringType of object this tag applies to (e.g. issue, account)
Users
Users List
Get a list of users
Python SDK
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "users", "action": "list" }'
Parameters
Parameter Name Type Required Description cursorstringNo Cursor for pagination
Response Schema Records Field Name Type Description idstringavatar_urlstring | nullemailstring | nullemailsarray | nullnamestring | nullrole_idstring | nullstatusstring | null
Field Name Type Description next_cursorstring | nullhas_next_pageboolean
Users Get
Get a single user by ID
Python SDK
await pylon . users . get ( id = "<str>" )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "users", "action": "get", "params": { "id": "<str>" } }'
Parameters
Parameter Name Type Required Description idstringYes The ID of the user
Response Schema Records Field Name Type Description idstringavatar_urlstring | nullemailstring | nullemailsarray | nullnamestring | nullrole_idstring | nullstatusstring | null
Users Context Store Search
Search and filter users records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.
Python SDK
await pylon . users . context_store_search ( query = { "filter" : { "eq" : { "id" : "<str>" } } } )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "users", "action": "context_store_search", "params": { "query": {"filter": {"eq": {"id": "<str>"}}} } }'
Parameters
Parameter Name Type Required Description queryobjectYes Filter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, like, fuzzy, keyword, not, and, or query.filterobjectNo Filter conditions query.sortarrayNo Sort conditions limitintegerNo Maximum results to return (default 1000) cursorstringNo Pagination cursor from previous response's meta.cursor fieldsarrayNo Field paths to include in results
Searchable Fields
Field Name Type Description idstringUnique identifier for the user namestringFull name of the user emailstringPrimary email address of the user role_idstringIdentifier of the user's role statusstringCurrent status of the user (e.g. active, disabled)
Response Schema Field Name Type Description dataarrayList of matching records metaobjectPagination metadata meta.has_morebooleanWhether additional pages are available meta.cursorstring | nullCursor for next page of results meta.took_msnumber | nullQuery execution time in milliseconds data[].idstringUnique identifier for the user data[].namestringFull name of the user data[].emailstringPrimary email address of the user data[].role_idstringIdentifier of the user's role data[].statusstringCurrent status of the user (e.g. active, disabled)
Custom Fields
Custom Fields List
Get all custom fields for a given object type
Python SDK
await pylon . custom_fields . list ( object_type = "<str>" )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "custom_fields", "action": "list", "params": { "object_type": "<str>" } }'
Parameters
Parameter Name Type Required Description object_type"account" | "issue" | "contact"Yes The object type of the custom fields. Can be "account", "issue", or "contact". cursorstringNo Cursor for pagination
Response Schema Records Field Name Type Description idstringcreated_atstring | nulldefault_valuestring | nulldefault_valuesarray | nulldescriptionstring | nullis_read_onlyboolean | nulllabelstring | nullnumber_metadataobject | anyobject_typestring | nullselect_metadataobject | anyslugstring | nullsourcestring | nulltypestring | nullupdated_atstring | null
Field Name Type Description next_cursorstring | nullhas_next_pageboolean
Custom Fields Get
Get a custom field by its ID
Python SDK
await pylon . custom_fields . get ( id = "<str>" )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "custom_fields", "action": "get", "params": { "id": "<str>" } }'
Parameters
Parameter Name Type Required Description idstringYes The ID of the custom field
Response Schema Records Field Name Type Description idstringcreated_atstring | nulldefault_valuestring | nulldefault_valuesarray | nulldescriptionstring | nullis_read_onlyboolean | nulllabelstring | nullnumber_metadataobject | anyobject_typestring | nullselect_metadataobject | anyslugstring | nullsourcestring | nulltypestring | nullupdated_atstring | null
Custom Fields Context Store Search
Search and filter custom fields records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.
Python SDK
await pylon . custom_fields . context_store_search ( query = { "filter" : { "eq" : { "id" : "<str>" } } } )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "custom_fields", "action": "context_store_search", "params": { "query": {"filter": {"eq": {"id": "<str>"}}} } }'
Parameters
Parameter Name Type Required Description queryobjectYes Filter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, like, fuzzy, keyword, not, and, or query.filterobjectNo Filter conditions query.sortarrayNo Sort conditions limitintegerNo Maximum results to return (default 1000) cursorstringNo Pagination cursor from previous response's meta.cursor fieldsarrayNo Field paths to include in results
Searchable Fields
Field Name Type Description idstringUnique identifier for the custom field labelstringDisplay label of the custom field slugstringURL-safe identifier for the custom field typestringData type of the custom field (e.g. text, select) object_typestringType of object this custom field applies to (e.g. issue, account) is_read_onlybooleanWhether the custom field is read-only created_atstringTimestamp when the custom field was created, in ISO 8601 format
Response Schema Field Name Type Description dataarrayList of matching records metaobjectPagination metadata meta.has_morebooleanWhether additional pages are available meta.cursorstring | nullCursor for next page of results meta.took_msnumber | nullQuery execution time in milliseconds data[].idstringUnique identifier for the custom field data[].labelstringDisplay label of the custom field data[].slugstringURL-safe identifier for the custom field data[].typestringData type of the custom field (e.g. text, select) data[].object_typestringType of object this custom field applies to (e.g. issue, account) data[].is_read_onlybooleanWhether the custom field is read-only data[].created_atstringTimestamp when the custom field was created, in ISO 8601 format
Get a list of ticket forms
Python SDK
await pylon . ticket_forms . list ( )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "ticket_forms", "action": "list" }'
Parameters
Parameter Name Type Required Description cursorstringNo Cursor for pagination
Response Schema Records Field Name Type Description idstringdescription_htmlstring | nullfieldsarray | nullfields[].description_htmlstring | nullfields[].namestring | nullfields[].slugstring | nullfields[].typestring | nullis_publicboolean | nullnamestring | nullslugstring | nullurlstring | null
Field Name Type Description next_cursorstring | nullhas_next_pageboolean
Ticket Forms Context Store Search
Search and filter ticket forms records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.
Python SDK
await pylon . ticket_forms . context_store_search ( query = { "filter" : { "eq" : { "id" : "<str>" } } } )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "ticket_forms", "action": "context_store_search", "params": { "query": {"filter": {"eq": {"id": "<str>"}}} } }'
Parameters
Parameter Name Type Required Description queryobjectYes Filter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, like, fuzzy, keyword, not, and, or query.filterobjectNo Filter conditions query.sortarrayNo Sort conditions limitintegerNo Maximum results to return (default 1000) cursorstringNo Pagination cursor from previous response's meta.cursor fieldsarrayNo Field paths to include in results
Searchable Fields
Field Name Type Description idstringUnique identifier for the ticket form namestringDisplay name of the ticket form slugstringURL-safe identifier for the ticket form is_publicbooleanWhether the ticket form is publicly accessible
Response Schema Field Name Type Description dataarrayList of matching records metaobjectPagination metadata meta.has_morebooleanWhether additional pages are available meta.cursorstring | nullCursor for next page of results meta.took_msnumber | nullQuery execution time in milliseconds data[].idstringUnique identifier for the ticket form data[].namestringDisplay name of the ticket form data[].slugstringURL-safe identifier for the ticket form data[].is_publicbooleanWhether the ticket form is publicly accessible
User Roles
User Roles List
Get a list of all user roles
Python SDK
await pylon . user_roles . list ( )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "user_roles", "action": "list" }'
Parameters
Parameter Name Type Required Description cursorstringNo Cursor for pagination
Response Schema Records Field Name Type Description idstringnamestring | nullslugstring | null
Field Name Type Description next_cursorstring | nullhas_next_pageboolean
User Roles Context Store Search
Search and filter user roles records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.
Python SDK
await pylon . user_roles . context_store_search ( query = { "filter" : { "eq" : { "id" : "<str>" } } } )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "user_roles", "action": "context_store_search", "params": { "query": {"filter": {"eq": {"id": "<str>"}}} } }'
Parameters
Parameter Name Type Required Description queryobjectYes Filter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, like, fuzzy, keyword, not, and, or query.filterobjectNo Filter conditions query.sortarrayNo Sort conditions limitintegerNo Maximum results to return (default 1000) cursorstringNo Pagination cursor from previous response's meta.cursor fieldsarrayNo Field paths to include in results
Searchable Fields
Field Name Type Description idstringUnique identifier for the user role namestringDisplay name of the user role slugstringURL-safe identifier for the user role
Response Schema Field Name Type Description dataarrayList of matching records metaobjectPagination metadata meta.has_morebooleanWhether additional pages are available meta.cursorstring | nullCursor for next page of results meta.took_msnumber | nullQuery execution time in milliseconds data[].idstringUnique identifier for the user role data[].namestringDisplay name of the user role data[].slugstringURL-safe identifier for the user role
Tasks
Tasks Create
Create a new task
Python SDK
await pylon . tasks . create ( title = "<str>" , body_html = "<str>" , status = "<str>" , assignee_id = "<str>" , project_id = "<str>" , milestone_id = "<str>" , due_date = "<str>" )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "tasks", "action": "create", "params": { "title": "<str>", "body_html": "<str>", "status": "<str>", "assignee_id": "<str>", "project_id": "<str>", "milestone_id": "<str>", "due_date": "<str>" } }'
Parameters
Parameter Name Type Required Description titlestringYes The title of the task body_htmlstringNo The body HTML of the task statusstringNo The status of the task (not_started, in_progress, completed) assignee_idstringNo The assignee ID for the task project_idstringNo The project ID for the task milestone_idstringNo The milestone ID for the task due_datestringNo The due date for the task (RFC3339)
Response Schema Records Field Name Type Description dataobjectdata.idstringdata.titlestring | nulldata.body_htmlstring | nulldata.statusstring | nulldata.assignee_idstring | nulldata.project_idstring | nulldata.milestone_idstring | nulldata.due_datestring | nulldata.created_atstring | nulldata.updated_atstring | nullrequest_idstring
Tasks Update
Update an existing task by ID
Python SDK
await pylon . tasks . update ( title = "<str>" , body_html = "<str>" , status = "<str>" , assignee_id = "<str>" , id = "<str>" )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "tasks", "action": "update", "params": { "title": "<str>", "body_html": "<str>", "status": "<str>", "assignee_id": "<str>", "id": "<str>" } }'
Parameters
Parameter Name Type Required Description titlestringNo The title of the task body_htmlstringNo The body HTML of the task statusstringNo The status of the task (not_started, in_progress, completed) assignee_idstringNo The assignee ID for the task idstringYes The ID of the task to update
Response Schema Records Field Name Type Description dataobjectdata.idstringdata.titlestring | nulldata.body_htmlstring | nulldata.statusstring | nulldata.assignee_idstring | nulldata.project_idstring | nulldata.milestone_idstring | nulldata.due_datestring | nulldata.created_atstring | nulldata.updated_atstring | nullrequest_idstring
Projects
Projects Create
Create a new project
Python SDK
await pylon . projects . create ( name = "<str>" , account_id = "<str>" , description_html = "<str>" , start_date = "<str>" , end_date = "<str>" )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "projects", "action": "create", "params": { "name": "<str>", "account_id": "<str>", "description_html": "<str>", "start_date": "<str>", "end_date": "<str>" } }'
Parameters
Parameter Name Type Required Description namestringYes The name of the project account_idstringYes The account ID for the project description_htmlstringNo The HTML description of the project start_datestringNo The start date of the project (RFC3339) end_datestringNo The end date of the project (RFC3339)
Response Schema Records Field Name Type Description dataobjectdata.idstringdata.namestring | nulldata.description_htmlstring | nulldata.account_idstring | nulldata.owner_idstring | nulldata.start_datestring | nulldata.end_datestring | nulldata.is_archivedboolean | nulldata.created_atstring | nulldata.updated_atstring | nullrequest_idstring
Projects Update
Update an existing project by ID
Python SDK
await pylon . projects . update ( name = "<str>" , description_html = "<str>" , is_archived = True , id = "<str>" )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "projects", "action": "update", "params": { "name": "<str>", "description_html": "<str>", "is_archived": True, "id": "<str>" } }'
Parameters
Parameter Name Type Required Description namestringNo The name of the project description_htmlstringNo The HTML description of the project is_archivedbooleanNo Whether the project is archived idstringYes The ID of the project to update
Response Schema Records Field Name Type Description dataobjectdata.idstringdata.namestring | nulldata.description_htmlstring | nulldata.account_idstring | nulldata.owner_idstring | nulldata.start_datestring | nulldata.end_datestring | nulldata.is_archivedboolean | nulldata.created_atstring | nulldata.updated_atstring | nullrequest_idstring
Milestones
Milestones Create
Create a new milestone
Python SDK
await pylon . milestones . create ( name = "<str>" , project_id = "<str>" , due_date = "<str>" )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "milestones", "action": "create", "params": { "name": "<str>", "project_id": "<str>", "due_date": "<str>" } }'
Parameters
Parameter Name Type Required Description namestringYes The name of the milestone project_idstringYes The project ID for the milestone due_datestringNo The due date of the milestone (RFC3339)
Response Schema Records Field Name Type Description dataobjectdata.idstringdata.namestring | nulldata.project_idstring | nulldata.due_datestring | nulldata.created_atstring | nulldata.updated_atstring | nullrequest_idstring
Milestones Update
Update an existing milestone by ID
Python SDK
await pylon . milestones . update ( name = "<str>" , due_date = "<str>" , id = "<str>" )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "milestones", "action": "update", "params": { "name": "<str>", "due_date": "<str>", "id": "<str>" } }'
Parameters
Parameter Name Type Required Description namestringNo The name of the milestone due_datestringNo The due date of the milestone (RFC3339) idstringYes The ID of the milestone to update
Response Schema Records Field Name Type Description dataobjectdata.idstringdata.namestring | nulldata.project_idstring | nulldata.due_datestring | nulldata.created_atstring | nulldata.updated_atstring | nullrequest_idstring
Articles
Articles Create
Create a new article in a knowledge base
Python SDK
await pylon . articles . create ( title = "<str>" , body_html = "<str>" , author_user_id = "<str>" , slug = "<str>" , is_published = True , kb_id = "<str>" )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "articles", "action": "create", "params": { "title": "<str>", "body_html": "<str>", "author_user_id": "<str>", "slug": "<str>", "is_published": True, "kb_id": "<str>" } }'
Parameters
Parameter Name Type Required Description titlestringYes The title of the article body_htmlstringYes The HTML body of the article author_user_idstringYes The ID of the user attributed as the author slugstringNo The slug of the article is_publishedbooleanNo Whether the article should be published kb_idstringYes The ID of the knowledge base
Response Schema Records Field Name Type Description dataobjectdata.idstringdata.titlestring | nulldata.body_htmlstring | nulldata.slugstring | nulldata.is_publishedboolean | nulldata.author_user_idstring | nulldata.created_atstring | nulldata.updated_atstring | nullrequest_idstring
Articles Update
Update an existing article in a knowledge base
Python SDK
await pylon . articles . update ( title = "<str>" , body_html = "<str>" , kb_id = "<str>" , article_id = "<str>" )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "articles", "action": "update", "params": { "title": "<str>", "body_html": "<str>", "kb_id": "<str>", "article_id": "<str>" } }'
Parameters
Parameter Name Type Required Description titlestringNo The title of the article body_htmlstringNo The HTML body of the article kb_idstringYes The ID of the knowledge base article_idstringYes The ID of the article to update
Response Schema Records Field Name Type Description dataobjectdata.idstringdata.titlestring | nulldata.body_htmlstring | nulldata.slugstring | nulldata.is_publishedboolean | nulldata.author_user_idstring | nulldata.created_atstring | nulldata.updated_atstring | nullrequest_idstring
Collections
Collections Create
Create a new collection in a knowledge base
Python SDK
await pylon . collections . create ( title = "<str>" , description = "<str>" , slug = "<str>" , kb_id = "<str>" )
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "collections", "action": "create", "params": { "title": "<str>", "description": "<str>", "slug": "<str>", "kb_id": "<str>" } }'
Parameters
Parameter Name Type Required Description titlestringYes The title of the collection descriptionstringNo The description of the collection slugstringNo The slug of the collection kb_idstringYes The ID of the knowledge base
Response Schema Records Field Name Type Description dataobjectdata.idstringdata.titlestring | nulldata.descriptionstring | nulldata.slugstring | nulldata.created_atstring | nullrequest_idstring
Me Get
Get the currently authenticated user
Python SDK
API
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer {your_auth_token}' \ --data '{ "entity": "me", "action": "get" }'
Response Schema Records Field Name Type Description idstringavatar_urlstring | nullemailstring | nullemailsarray | nullnamestring | nullrole_idstring | nullstatusstring | null